1 Reply Latest reply on Aug 20, 2015 4:29 AM by 99jon

    what system do I need to support Lightroom as it wont work on my mac desktop

    emma5757

      when I go to download lightroom it says I don't have the system requirements to support lightroom.. what do I need to do?